Skip to main content
POST
/
api
/
v2
/
jsonRPC
JSON-RPC endpoint
curl --request POST \
  --url https://toncenter.com/api/v2/jsonRPC \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "<string>",
  "method": "<string>",
  "params": {}
}
'
{
  "ok": true,
  "result": {},
  "@extra": "<string>",
  "jsonrpc": "<string>",
  "id": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key header of the form X-API-Key: <token>, where <token> is your API key. Requests without a key are limited to 1 RPS. More info here.

Body

application/json

A JSON-RPC 2.0 request. Set method to the API method name (e.g., "getWalletInformation") and params to a dictionary of parameters.

jsonrpc
string
default:2.0
required

JSON-RPC protocol version identifier.

id
string
required

Request identifier. Echoed back in the response for matching async calls.

method
string
required

API method name to invoke (e.g., getMasterchainInfo, getAddressBalance).

params
object
required

Method parameters as a JSON object with key-value pairs.

Response

Returns the result of the specified JSON-RPC method call.

ok
boolean
default:true
required

Returns true if the request succeeded; otherwise false. See the error field for details.

result
object
required

The method return value. The structure depends on the method called; see individual method documentation for response schemas. Only present when ok is true.

@extra
string
required

Optional request ID that you can pass in the request and receive back in the response. Useful for matching async responses.

jsonrpc
string

JSON-RPC protocol version identifier.

id
string

Echoed request identifier from the original JSON-RPC request.